Returns products available to acquire for a given group
Return products based on beneficiaryId for BENEFICIARY_SPECIFIC_PRODUCT_GROUP or static ones for STATIC_PRODUCT_GROUP.
If group type is BENEFICIARY_SPECIFIC_PRODUCT_GROUP, you need to provide query param beneficiaryId
Path Parameters
- productGroupId string required
Query Parameters
- beneficiaryId BeneficiaryId
- 200
- 401
- 403
Successul response.
- application/json
- Schema
- Example (from schema)
- SuccessResponse
- InvalidBeneficiaryFailureResponse
- InvalidGroupIdFailureResponse
- UnspecifiedFailureResponse
Schema
- status string required
Possible values: [
SUCCESS,FAILURE] - error string
Possible values: [
INTERNAL,INVALID_BENEFICIARY_ID,INVALID_GROUP_ID] products object
sku ProductSku requiredProduct SKU
beneficiaryIdLabel stringOnly present if it is different than product group's beneficiaryIdLabel. Indicates the source of beneficiaryId passed in /acquire, for example: acquirer msisdn, ticket number or DSTV Smart Card number
amount doubleProduct's amount in Naira
productDescription string requiredamountSource string requiredPossible values: [
FIXED,PROVIDED_BY_USER,BASED_ON_BENEFICIARY_ID]tags string requiredProduct tags, used to categorize products
{
"status": "SUCCESS",
"error": "INTERNAL",
"products": [
{
"sku": "mtnRecharge",
"beneficiaryIdLabel": "Acquirer msisdn",
"productDescription": "MTN Recharge",
"amountSource": "PROVIDED_BY_USER",
"tags": [
"airtime",
"operator_product"
]
},
{
"sku": "gloData",
"beneficiaryIdLabel": "Acquirer msisdn",
"amount": 100,
"productDescription": "Glo data bundle 1GB",
"amountSource": "FIXED",
"tags": [
"data"
]
},
{
"sku": "dstv",
"beneficiaryIdLabel": "DSTV Smart Card number",
"productDescription": "DSTV bill payment",
"amountSource": "BASED_ON_BENEFICIARY_ID",
"tags": [
"cable"
]
}
]
}
Successfully fetched products
{
"status": "SUCCESS",
"products": [
{
"sku": "1000000001",
"beneficiaryIdLabel": "DSTV Smart Card number",
"productDescription": "DSTV bill payment",
"amountSource": "BASED_ON_BENEFICIARY_ID",
"tags": [
"cable"
]
}
]
}
Invalid beneficiary id
{
"status": "FAILURE",
"error": "INVALID_BENEFICIARY_ID"
}
Invalid group id
{
"status": "FAILURE",
"error": "INVALID_GROUP_ID"
}
Unspecified error
{
"status": "FAILURE",
"error": "UNSPECIFIED",
"rawErrorCode": "22"
}
Your authentication data are invalid or not provided
You don't have proper permission to invoke this operation